package com.muyu.product.domain.req;

import com.muyu.product.domain.model.RuleAttrAddModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;
import org.springframework.beans.PropertyValues;

import java.util.List;

/**
 * 商品规格对象 rule_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RuleInfoEditReq", description = "商品规格")
public class RuleInfoEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 规格名称 */
    @ApiModelProperty(name = "规格名称", value = "规格名称")
    private String name;

    /** 规格状态 */
    @ApiModelProperty(name = "规格状态", value = "规格状态")
    private String status;
    /**
     * 规格子集
     */
    @ApiModelProperty(name = "规格子集", value = "规格子集")
    private List<RuleAttrAddModel> ruleAttrList;
}
